Album Tracks

Tracks on an album identified by Chartmetric ID. Each track carries cross-platform IDs, artist arrays, and a cm_statistics aggregate. Prefer cm_artists[].{id,name,code2,image_url,cover_url} over the parallel cm_artist, artist_names, code2s, artist_images, artist_covers arrays — those are retained for compatibility.

Path Parameters
  • id
    Type: integer
    min:  
    0
    max:  
    2147483647
    required

    Chartmetric album ID.

Responses
  • application/json
Request Example for get/api/album/{id}/tracks
curl https://api.chartmetric.com/api/album/0/tracks \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": [
    {
      "id": 22396642,
      "name": "break up with your girlfriend, i'm bored",
      "image_url": "https://api.deezer.com/album/86773062/image",
      "isrc": "USUM71900409",
      "description": null,
      "created_at": null,
      "modified_at": "2020-07-03T05:46:13.804Z",
      "tags": "Pop,Music",
      "cm_track": 22396642,
      "cm_artist": [
        3963
      ],
      "artist_names": [
        "Ariana Grande"
      ],
      "code2s": [
        "US"
      ],
      "artist_images": [
        "https://i.scdn.co/image/b1dfbe843b0b9f54ab2e588f33e7637d2dab065a"
      ],
      "artist_covers": [
        "https://i.scdn.co/image/4599ff6a6b96d54df41e97a484605f0e517ba278"
      ],
      "spotify_track_ids": [
        "4kV4N9D1iKVxx1KLvtTpjS"
      ],
      "spotify_album_ids": [
        "2fYhqwDWXjbpjaIJPEfKFw"
      ],
      "spotify_duration_ms": 190440,
      "itunes_track_ids": [
        "1450330687"
      ],
      "itunes_album_ids": [
        "1450330588"
      ],
      "storefronts": [
        "LA"
      ],
      "deezer_track_ids": [
        "629899862"
      ],
      "deezer_album_ids": [
        86773062
      ],
      "deezer_duration": 190,
      "amazon_track_ids": [
        "B082XHFBS6"
      ],
      "amazon_album_ids": [
        "B082XGFGGN"
      ],
      "album_ids": [
        3533190
      ],
      "album_names": [
        "thank u, next"
      ],
      "album_upc": [
        "602577464980"
      ],
      "album_label": [
        "Republic Records"
      ],
      "release_dates": [
        "2019-02-08T08:00:00.000Z"
      ],
      "cm_artists": [
        {
          "id": 3963,
          "name": "Ariana Grande",
          "code2": "US",
          "image_url": "https://i.scdn.co/image/b1dfbe843b0b9f54ab2e588f33e7637d2dab065a",
          "cover_url": "https://i.scdn.co/image/4599ff6a6b96d54df41e97a484605f0e517ba278"
        }
      ],
      "cm_statistics": {
        "num_sp_playlists": 3556,
        "num_sp_editorial_playlists": 57,
        "num_am_playlists": 49,
        "num_am_editorial_playlists": 4,
        "num_de_playlists": 11,
        "num_de_editorial_playlists": 2,
        "num_az_playlists": 36,
        "num_az_editorial_playlists": 36,
        "num_yt_playlists": 12,
        "num_yt_editorial_playlists": 3,
        "sp_playlist_total_reach": "10760959",
        "de_playlist_total_reach": "350115",
        "yt_playlist_total_reach": "6404331",
        "cm_track": 22396642,
        "sp_popularity": 80,
        "num_tt_videos": 69100,
        "genius_page_views": null,
        "shazam_counts": 1896424,
        "tiktok_counts": 69100,
        "youtube_views": "369742364"
      }
    }
  ]
}